[arch-commits] Commit in systemd/repos (12 files)

Dave Reisner dreisner at archlinux.org
Thu Dec 11 02:31:04 UTC 2014


    Date: Thursday, December 11, 2014 @ 03:31:04
  Author: dreisner
Revision: 227419

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  systemd/repos/testing-i686/
  systemd/repos/testing-i686/PKGBUILD
    (from rev 227418, systemd/trunk/PKGBUILD)
  systemd/repos/testing-i686/initcpio-hook-udev
    (from rev 227418, systemd/trunk/initcpio-hook-udev)
  systemd/repos/testing-i686/initcpio-install-systemd
    (from rev 227418, systemd/trunk/initcpio-install-systemd)
  systemd/repos/testing-i686/initcpio-install-udev
    (from rev 227418, systemd/trunk/initcpio-install-udev)
  systemd/repos/testing-i686/systemd.install
    (from rev 227418, systemd/trunk/systemd.install)
  systemd/repos/testing-x86_64/
  systemd/repos/testing-x86_64/PKGBUILD
    (from rev 227418, systemd/trunk/PKGBUILD)
  systemd/repos/testing-x86_64/initcpio-hook-udev
    (from rev 227418, systemd/trunk/initcpio-hook-udev)
  systemd/repos/testing-x86_64/initcpio-install-systemd
    (from rev 227418, systemd/trunk/initcpio-install-systemd)
  systemd/repos/testing-x86_64/initcpio-install-udev
    (from rev 227418, systemd/trunk/initcpio-install-udev)
  systemd/repos/testing-x86_64/systemd.install
    (from rev 227418, systemd/trunk/systemd.install)

-----------------------------------------+
 testing-i686/PKGBUILD                   |  164 +++++++++++++++++++++++++
 testing-i686/initcpio-hook-udev         |   22 +++
 testing-i686/initcpio-install-systemd   |  169 ++++++++++++++++++++++++++
 testing-i686/initcpio-install-udev      |   29 ++++
 testing-i686/systemd.install            |  191 ++++++++++++++++++++++++++++++
 testing-x86_64/PKGBUILD                 |  164 +++++++++++++++++++++++++
 testing-x86_64/initcpio-hook-udev       |   22 +++
 testing-x86_64/initcpio-install-systemd |  169 ++++++++++++++++++++++++++
 testing-x86_64/initcpio-install-udev    |   29 ++++
 testing-x86_64/systemd.install          |  191 ++++++++++++++++++++++++++++++
 10 files changed, 1150 insertions(+)

Copied: systemd/repos/testing-i686/PKGBUILD (from rev 227418, systemd/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2014-12-11 02:31:04 UTC (rev 227419)
@@ -0,0 +1,164 @@
+# Maintainer: Dave Reisner <dreisner at archlinux.org>
+# Maintainer: Tom Gundersen <teg at jklm.no>
+
+pkgbase=systemd
+pkgname=('systemd' 'libsystemd' 'systemd-sysvcompat')
+pkgver=218
+pkgrel=1
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/systemd"
+makedepends=('acl' 'cryptsetup' 'docbook-xsl' 'gobject-introspection' 'gperf'
+             'gtk-doc' 'intltool' 'kmod' 'libcap' 'libidn' 'libgcrypt' 'libmicrohttpd'
+             'libxslt' 'util-linux' 'linux-api-headers' 'lz4' 'pam' 'python'
+             'python-lxml' 'quota-tools' 'shadow' 'xz')
+options=('strip' 'debug')
+source=("http://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
+        'initcpio-hook-udev'
+        'initcpio-install-systemd'
+        'initcpio-install-udev')
+md5sums=('4e2c511b0a7932d7fc9d79822273aac6'
+         '90ea67a7bb237502094914622a39e281'
+         'c9db3010602913559295de3481019681'
+         'bde43090d4ac0ef048e3eaee8202a407')
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  local timeservers=({0..3}.arch.pool.ntp.org)
+
+  ./configure \
+      --libexecdir=/usr/lib \
+      --localstatedir=/var \
+      --sysconfdir=/etc \
+      --enable-introspection \
+      --enable-gtk-doc \
+      --enable-lz4 \
+      --enable-compat-libs \
+      --disable-audit \
+      --disable-ima \
+      --disable-kdbus \
+      --with-sysvinit-path= \
+      --with-sysvrcnd-path= \
+      --with-ntp-servers="${timeservers[*]}"
+
+  make
+}
+
+package_systemd() {
+  pkgdesc="system and service manager"
+  license=('GPL2' 'LGPL2.1' 'MIT')
+  depends=('acl' 'bash' 'dbus' 'glib2' 'kbd' 'kmod' 'hwids' 'libcap' 'libgcrypt'
+           'libsystemd' 'libidn' 'lz4' 'pam' 'libseccomp' 'util-linux' 'xz')
+  provides=('nss-myhostname' "systemd-tools=$pkgver" "udev=$pkgver")
+  replaces=('nss-myhostname' 'systemd-tools' 'udev')
+  conflicts=('nss-myhostname' 'systemd-tools' 'udev')
+  optdepends=('python: systemd library bindings'
+              'cryptsetup: required for encrypted block devices'
+              'libmicrohttpd: remote journald capabilities'
+              'quota-tools: kernel-level quota management'
+              'systemd-sysvcompat: symlink package to provide sysvinit binaries'
+              'polkit: allow administration as unprivileged user')
+  backup=(etc/dbus-1/system.d/org.freedesktop.systemd1.conf
+          etc/dbus-1/system.d/org.freedesktop.hostname1.conf
+          etc/dbus-1/system.d/org.freedesktop.login1.conf
+          etc/dbus-1/system.d/org.freedesktop.locale1.conf
+          etc/dbus-1/system.d/org.freedesktop.machine1.conf
+          etc/dbus-1/system.d/org.freedesktop.timedate1.conf
+          etc/pam.d/systemd-user
+          etc/systemd/bootchart.conf
+          etc/systemd/coredump.conf
+          etc/systemd/journald.conf
+          etc/systemd/logind.conf
+          etc/systemd/system.conf
+          etc/systemd/timesyncd.conf
+          etc/systemd/resolved.conf
+          etc/systemd/user.conf
+          etc/udev/udev.conf)
+  install="systemd.install"
+
+  make -C "$pkgname-$pkgver" DESTDIR="$pkgdir" install
+
+  # don't write units to /etc by default. some of these will be re-enabled on
+  # post_install.
+  rm "$pkgdir/etc/systemd/system/getty.target.wants/getty at tty1.service" \
+      "$pkgdir/etc/systemd/system/multi-user.target.wants/systemd-networkd.service" \
+      "$pkgdir/etc/systemd/system/multi-user.target.wants/systemd-resolved.service" \
+      "$pkgdir/etc/systemd/system/sysinit.target.wants/systemd-timesyncd.service" \
+      "$pkgdir/etc/systemd/system/network-online.target.wants/systemd-networkd-wait-online.service"
+  rmdir "$pkgdir/etc/systemd/system/getty.target.wants" \
+      "$pkgdir/etc/systemd/system/network-online.target.wants"
+
+  # get rid of RPM macros
+  rm -r "$pkgdir/usr/lib/rpm"
+
+  # add back tmpfiles.d/legacy.conf
+  install -m644 "systemd-$pkgver/tmpfiles.d/legacy.conf" "$pkgdir/usr/lib/tmpfiles.d"
+
+  # Replace dialout/tape/cdrom group in rules with uucp/storage/optical group
+  sed -i 's#GROUP="dialout"#GROUP="uucp"#g;
+          s#GROUP="tape"#GROUP="storage"#g;
+          s#GROUP="cdrom"#GROUP="optical"#g' "$pkgdir"/usr/lib/udev/rules.d/*.rules
+  sed -i 's/dialout/uucp/g;
+          s/tape/storage/g;
+          s/cdrom/optical/g' "$pkgdir"/usr/lib/sysusers.d/basic.conf
+
+  # add mkinitcpio hooks
+  install -Dm644 "$srcdir/initcpio-install-systemd" "$pkgdir/usr/lib/initcpio/install/systemd"
+  install -Dm644 "$srcdir/initcpio-install-udev" "$pkgdir/usr/lib/initcpio/install/udev"
+  install -Dm644 "$srcdir/initcpio-hook-udev" "$pkgdir/usr/lib/initcpio/hooks/udev"
+
+  # ensure proper permissions for /var/log/journal. This is only to placate
+  chown root:systemd-journal "$pkgdir/var/log/journal"
+  chmod 2755 "$pkgdir/var/log/journal"{,/remote}
+
+  # fix pam file
+  sed 's|system-auth|system-login|g' -i "$pkgdir/etc/pam.d/systemd-user"
+
+  # ship default policy to leave services disabled
+  echo 'disable *' >"$pkgdir"/usr/lib/systemd/system-preset/99-default.preset
+
+  ### split out manpages for sysvcompat
+  rm -rf "$srcdir/_sysvcompat"
+  install -dm755 "$srcdir"/_sysvcompat/usr/share/man/man8/
+  mv "$pkgdir"/usr/share/man/man8/{telinit,halt,reboot,poweroff,runlevel,shutdown}.8 \
+     "$srcdir"/_sysvcompat/usr/share/man/man8
+
+  ### split off runtime libraries
+  rm -rf "$srcdir/_libsystemd"
+  install -dm755 "$srcdir"/_libsystemd/usr/lib
+  cd "$srcdir"/_libsystemd
+  mv "$pkgdir"/usr/lib/lib{systemd,{g,}udev}*.so* usr/lib
+
+  # include MIT license, since it's technically custom
+  install -Dm644 "$srcdir/$pkgname-$pkgver/LICENSE.MIT" \
+      "$pkgdir/usr/share/licenses/systemd/LICENSE.MIT"
+}
+
+package_libsystemd() {
+  pkgdesc="systemd client libraries"
+  depends=('glib2' 'glibc' 'libgcrypt' 'lz4' 'xz')
+  license=('GPL2')
+  provides=('libgudev-1.0.so' 'libsystemd.so' 'libsystemd-daemon.so' 'libsystemd-id128.so'
+            'libsystemd-journal.so' 'libsystemd-login.so' 'libudev.so')
+
+  mv "$srcdir/_libsystemd"/* "$pkgdir"
+}
+
+package_systemd-sysvcompat() {
+  pkgdesc="sysvinit compat for systemd"
+  license=('GPL2')
+  groups=('base')
+  conflicts=('sysvinit')
+  depends=('systemd')
+
+  mv "$srcdir/_sysvcompat"/* "$pkgdir"
+
+  install -dm755 "$pkgdir/usr/bin"
+  for tool in runlevel reboot shutdown poweroff halt telinit; do
+    ln -s 'systemctl' "$pkgdir/usr/bin/$tool"
+  done
+
+  ln -s '../lib/systemd/systemd' "$pkgdir/usr/bin/init"
+}
+
+# vim: ft=sh syn=sh et

Copied: systemd/repos/testing-i686/initcpio-hook-udev (from rev 227418, systemd/trunk/initcpio-hook-udev)
===================================================================
--- testing-i686/initcpio-hook-udev	                        (rev 0)
+++ testing-i686/initcpio-hook-udev	2014-12-11 02:31:04 UTC (rev 227419)
@@ -0,0 +1,22 @@
+#!/usr/bin/ash
+
+run_earlyhook() {
+    kmod static-nodes --format=tmpfiles --output=/run/tmpfiles.d/kmod.conf
+    systemd-tmpfiles --prefix=/dev --create --boot
+    /usr/lib/systemd/systemd-udevd --daemon --resolve-names=never
+    udevd_running=1
+}
+
+run_hook() {
+    msg ":: Triggering uevents..."
+    udevadm trigger --action=add --type=subsystems
+    udevadm trigger --action=add --type=devices
+    udevadm settle
+}
+
+run_cleanuphook() {
+    udevadm control --exit
+    udevadm info --cleanup-db
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-i686/initcpio-install-systemd (from rev 227418, systemd/trunk/initcpio-install-systemd)
===================================================================
--- testing-i686/initcpio-install-systemd	                        (rev 0)
+++ testing-i686/initcpio-install-systemd	2014-12-11 02:31:04 UTC (rev 227419)
@@ -0,0 +1,169 @@
+#!/bin/bash
+
+strip_quotes() {
+  local len=${#1} quotes=$'[\'"]' str=${!1}
+
+  if [[ ${str:0:1} = ${str: -1} && ${str:0:1} = $quotes ]]; then
+    printf -v "$1" %s "${str:1:-1}"
+  fi
+}
+
+add_udev_rule() {
+    # Add an udev rules file to the initcpio image. Dependencies on binaries
+    # will be discovered and added.
+    #   $1: path to rules file (or name of rules file)
+
+    local rules= rule= key= value= binary=
+
+    rules=$(PATH=/usr/lib/udev/rules.d:/lib/udev/rules.d type -P "$1")
+    if [[ -z $rules ]]; then
+        # complain about not found rules
+        return 1
+    fi
+
+    add_file "$rules"
+
+    while IFS=, read -ra rule; do
+        # skip empty lines, comments
+        [[ -z $rule || $rule = @(+([[:space:]])|#*) ]] && continue
+
+        for pair in "${rule[@]}"; do
+            IFS=' =' read -r key value <<< "$pair"
+            case $key in
+                RUN@({program}|+)|IMPORT{program}|ENV{REMOVE_CMD})
+                    strip_quotes 'value'
+                    # just take the first word as the binary name
+                    binary=${value%% *}
+                    if [[ ${binary:0:1} != '/' ]]; then
+                        binary=$(PATH=/usr/lib/udev:/lib/udev type -P "$binary")
+                    fi
+                    add_binary "$binary"
+                    ;;
+            esac
+        done
+    done <"$rules"
+}
+
+add_systemd_unit() {
+    # Add a systemd unit file to the initcpio image. Hard dependencies on binaries
+    # and other unit files will be discovered and added.
+    #   $1: path to rules file (or name of rules file)
+
+    local unit= rule= entry= key= value= binary= dep=
+
+    unit=$(PATH=/usr/lib/systemd/system:/lib/systemd/system type -P "$1")
+    if [[ -z $unit ]]; then
+        # complain about not found unit file
+        return 1
+    fi
+
+    add_file "$unit"
+
+    while IFS='=' read -r key values; do
+        read -ra values <<< "$values"
+
+        case $key in
+            Requires|OnFailure)
+                # only add hard dependencies (not Wants)
+                map add_systemd_unit "${values[@]}"
+                ;;
+            Exec*)
+                # don't add binaries unless they are required
+                if [[ ${values[0]:0:1} != '-' ]]; then
+                    add_binary "${values[0]}"
+                fi
+                ;;
+        esac
+
+    done <"$unit"
+
+    # preserve reverse soft dependency
+    for dep in {/usr,}/lib/systemd/system/*.wants/${unit##*/}; do
+        if [[ -L $dep ]]; then
+            add_symlink "$dep"
+        fi
+    done
+
+    # add hard dependencies
+    if [[ -d $unit.requires ]]; then
+        for dep in "$unit".requires/*; do
+            add_systemd_unit ${dep##*/}
+        done
+    fi
+}
+
+build() {
+    local rules unit
+
+    # from base
+    add_binary /bin/mount
+    add_binary /usr/bin/kmod /usr/bin/modprobe
+    add_binary /usr/lib/systemd/systemd /init
+
+    map add_binary \
+        /usr/lib/systemd/systemd-hibernate-resume \
+        /usr/lib/systemd/system-generators/systemd-hibernate-resume-generator \
+        /usr/bin/systemd-tmpfiles
+
+    # generators
+    map add_file \
+        /usr/lib/systemd/system-generators/systemd-fstab-generator \
+        /usr/lib/systemd/system-generators/systemd-gpt-auto-generator
+
+    # udev rules and systemd units
+    map add_udev_rule "$rules" \
+            50-udev-default.rules \
+            60-persistent-storage.rules \
+            64-btrfs.rules \
+            80-drivers.rules \
+            99-systemd.rules
+
+    map add_systemd_unit \
+            initrd-cleanup.service \
+            initrd-fs.target \
+            initrd-parse-etc.service \
+            initrd-root-fs.target \
+            initrd-switch-root.service \
+            initrd-switch-root.target \
+            initrd-udevadm-cleanup-db.service \
+            initrd.target \
+            kmod-static-nodes.service \
+            local-fs.target \
+            local-fs-pre.target \
+            paths.target \
+            slices.target \
+            sockets.target \
+            swap.target \
+            systemd-fsck at .service \
+            systemd-hibernate-resume at .service \
+            systemd-journald.service \
+            systemd-journald-audit.socket \
+            systemd-journald-dev-log.socket \
+            systemd-tmpfiles-setup-dev.service \
+            systemd-udev-trigger.service \
+            systemd-udevd-control.socket \
+            systemd-udevd-kernel.socket \
+            systemd-udevd.service \
+            timers.target
+
+    add_symlink "/usr/lib/systemd/system/default.target" "initrd.target"
+    add_symlink "/usr/lib/systemd/system/ctrl-alt-del.target" "reboot.target"
+
+    # udev wants /etc/group since it doesn't launch with --resolve-names=never
+    add_file "/etc/nsswitch.conf"
+    add_binary "$(readlink -f /usr/lib/libnss_files.so)"
+    add_file "/etc/passwd"
+    add_file "/etc/group"
+}
+
+help() {
+    cat <<HELPEOF
+This will install a basic systemd setup in your initramfs, and is meant to
+replace the 'base', 'usr', 'udev' and 'timestamp' hooks. Other hooks with runtime
+components will need to be ported, and will not work as intended. You also may
+wish to still include the 'base' hook (before this hook) to ensure that a
+rescue shell exists on your initramfs.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-i686/initcpio-install-udev (from rev 227418, systemd/trunk/initcpio-install-udev)
===================================================================
--- testing-i686/initcpio-install-udev	                        (rev 0)
+++ testing-i686/initcpio-install-udev	2014-12-11 02:31:04 UTC (rev 227419)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+build() {
+    local rules tool
+
+    add_file "/etc/udev/udev.conf"
+    add_binary /usr/lib/systemd/systemd-udevd
+    add_binary /usr/bin/udevadm
+    add_binary /usr/bin/systemd-tmpfiles
+
+    for rules in 50-udev-default.rules 60-persistent-storage.rules 64-btrfs.rules 80-drivers.rules; do
+        add_file "/usr/lib/udev/rules.d/$rules"
+    done
+    for tool in ata_id scsi_id; do
+        add_file "/usr/lib/udev/$tool"
+    done
+
+    add_runscript
+}
+
+help() {
+    cat <<HELPEOF
+This hook will use udev to create your root device node and detect the needed
+modules for your root device. It is also required for firmware loading in
+initramfs. It is recommended to use this hook.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-i686/systemd.install (from rev 227418, systemd/trunk/systemd.install)
===================================================================
--- testing-i686/systemd.install	                        (rev 0)
+++ testing-i686/systemd.install	2014-12-11 02:31:04 UTC (rev 227419)
@@ -0,0 +1,191 @@
+#!/bin/bash
+
+sd_booted() {
+  [[ -d run/systemd/system && ! -L run/systemd/system ]]
+}
+
+add_privs() {
+  if ! setcap "$2" "$1" 2>/dev/null; then
+    echo "==> Warning: setcap failed, falling back to setuid root on /$1"
+    chmod u+s "$1"
+  fi
+}
+
+add_journal_acls() {
+  # ignore errors, since the filesystem might not support ACLs
+  setfacl -Rnm g:wheel:rx,d:g:wheel:rx,g:adm:rx,d:g:adm:rx var/log/journal/ 2>/dev/null
+  :
+}
+
+maybe_reexec() {
+  # don't reexec on 209-1 upgrade due to large infrastructural changes.
+  if [[ $(vercmp 209-1 "$2") -eq 1 ]]; then
+    echo ':: systemd has not been reexecuted. It is recommended that you'
+    echo '   reboot at your earliest convenience.'
+    return
+  fi
+
+  if sd_booted; then
+    systemctl --system daemon-reexec
+  fi
+}
+
+_dir_empty() {
+  set -- "$1"/*
+  [[ ! -e $1  && ! -L $1 ]]
+}
+
+post_common() {
+  systemd-sysusers
+  udevadm hwdb --update
+  journalctl --update-catalog
+}
+
+_204_1_changes() {
+  printf '==> The /bin/systemd symlink has been removed. Any references in your\n'
+  printf '    bootloader (or elsewhere) must be updated to /usr/lib/systemd/systemd.\n'
+}
+
+_205_1_changes() {
+  printf '==> systemd 205 restructures the cgroup hierarchy and changes internal\n'
+  printf '    protocols. You should reboot at your earliest convenience.\n'
+}
+
+_206_1_changes() {
+  printf '==> The "timestamp" hook for mkinitcpio no longer exists. If you used\n'
+  printf '    this hook, you must remove it from /etc/mkinitcpio.conf. A "systemd"\n'
+  printf '    hook has been added which provides this functionality, and more.\n'
+}
+
+_208_1_changes() {
+  if [[ -e var/lib/backlight && ! -e var/lib/systemd/backlight ]]; then
+    mv -T var/lib/backlight var/lib/systemd/backlight
+  fi
+
+  if [[ -e var/lib/random-seed && ! -e var/lib/systemd/random-seed ]]; then
+    mv -T var/lib/random-seed var/lib/systemd/random-seed
+  fi
+}
+
+_208_8_changes() {
+  add_journal_acls
+}
+
+_209_1_changes() {
+  # attempt to preserve existing behavior
+
+  local old_rule=etc/udev/rules.d/80-net-name-slot.rules
+  local new_rule=etc/udev/rules.d/80-net-setup-link.rules
+
+  echo ":: Network device naming is now controlled by udev's net_setup_link"
+  echo "   builtin. Refer to the systemd.link manpage for a full description."
+
+  # not clear what action we can take here, so don't do anything
+  [[ -e $new_rule ]] && return 0
+
+  # rename the old rule to the new one so that we preserve the user's
+  # existing option.
+  if [[ -e $old_rule ]]; then
+    printf ':: Renaming %s to %s in order\n' "${old_rule##*/}" "${new_rule##*/}"
+    printf '   to preserve existing network naming behavior.\n'
+    mv -v "$old_rule" "$new_rule"
+  else
+    echo ':: No changes have been made to your network naming configuration.'
+    echo '   Interfaces should continue to maintain the same names.'
+  fi
+}
+
+_210_1_changes() {
+  if sd_booted; then
+    # If /etc/systemd/network is non-empty, then this is a 209 user who used
+    # networkd. Re-enable it for them.
+    if ! _dir_empty etc/systemd/network; then
+      systemctl enable systemd-networkd
+    fi
+  fi
+}
+
+_213_4_changes() {
+  if sd_booted; then
+    # if /etc/resolv.conf is a symlink, just assume that it was being managed
+    # by systemd-networkd, and re-enable systemd-resolved.
+    if [[ -L etc/resolv.conf ]]; then
+      systemctl enable systemd-resolved
+    fi
+  fi
+}
+
+_214_2_changes() {
+  # /run/systemd/network/resolv.conf -> /run/systemd/resolve/resolv.conf
+  if [[ etc/resolv.conf -ef run/systemd/network/resolv.conf ]]; then
+    ln -sf /run/systemd/resolve/resolv.conf /etc/resolv.conf
+
+    if sd_booted; then
+      if [[ ! -d run/systemd/resolve ]]; then
+        mkdir run/systemd/resolve
+      fi
+
+      if [[ -f run/systemd/network/resolv.conf ]]; then
+        mv run/systemd/{network,resolve}/resolv.conf
+      fi
+    fi
+  fi
+
+  echo ':: coredumps are no longer sent to the journal by default. To re-enable:'
+  echo '   echo >/etc/sysctl.d/50-coredump.conf \'
+  echo '       "kernel.core_pattern=|/usr/lib/systemd/systemd-coredump %p %u %g %s %t %e"'
+}
+
+_215_2_changes() {
+  # create at least the symlink from /etc/os-release to /usr/lib/os-release
+  systemd-tmpfiles --create etc.conf
+}
+
+_216_2_changes() {
+  echo ':: Coredumps are handled by systemd by default. Collection behavior can be'
+  echo '   tuned in /etc/systemd/coredump.conf.'
+}
+
+post_install() {
+  # because systemd can't sanely manage this meanial task...
+  uuidgen | {
+    read
+    echo "${REPLY//-}">etc/machine-id
+  }
+
+  post_common "$@"
+
+  add_journal_acls
+
+  # enable getty at tty1 by default, but don't track the file
+  systemctl enable getty at tty1.service
+
+  echo ":: Append 'init=/usr/lib/systemd/systemd' to your kernel command line in your"
+  echo "   bootloader to replace sysvinit with systemd, or install systemd-sysvcompat"
+}
+
+post_upgrade() {
+  post_common "$@"
+
+  maybe_reexec "$@"
+
+  local v upgrades=(204-1
+                    205-1
+                    206-1
+                    208-1
+                    208-8
+                    209-1
+                    210-1
+                    213-4
+                    214-2
+                    215-2
+                    216-2)
+
+  for v in "${upgrades[@]}"; do
+    if [[ $(vercmp "$v" "$2") -eq 1 ]]; then
+      "_${v//-/_}_changes"
+    fi
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: systemd/repos/testing-x86_64/PKGBUILD (from rev 227418, systemd/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2014-12-11 02:31:04 UTC (rev 227419)
@@ -0,0 +1,164 @@
+# Maintainer: Dave Reisner <dreisner at archlinux.org>
+# Maintainer: Tom Gundersen <teg at jklm.no>
+
+pkgbase=systemd
+pkgname=('systemd' 'libsystemd' 'systemd-sysvcompat')
+pkgver=218
+pkgrel=1
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/systemd"
+makedepends=('acl' 'cryptsetup' 'docbook-xsl' 'gobject-introspection' 'gperf'
+             'gtk-doc' 'intltool' 'kmod' 'libcap' 'libidn' 'libgcrypt' 'libmicrohttpd'
+             'libxslt' 'util-linux' 'linux-api-headers' 'lz4' 'pam' 'python'
+             'python-lxml' 'quota-tools' 'shadow' 'xz')
+options=('strip' 'debug')
+source=("http://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
+        'initcpio-hook-udev'
+        'initcpio-install-systemd'
+        'initcpio-install-udev')
+md5sums=('4e2c511b0a7932d7fc9d79822273aac6'
+         '90ea67a7bb237502094914622a39e281'
+         'c9db3010602913559295de3481019681'
+         'bde43090d4ac0ef048e3eaee8202a407')
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  local timeservers=({0..3}.arch.pool.ntp.org)
+
+  ./configure \
+      --libexecdir=/usr/lib \
+      --localstatedir=/var \
+      --sysconfdir=/etc \
+      --enable-introspection \
+      --enable-gtk-doc \
+      --enable-lz4 \
+      --enable-compat-libs \
+      --disable-audit \
+      --disable-ima \
+      --disable-kdbus \
+      --with-sysvinit-path= \
+      --with-sysvrcnd-path= \
+      --with-ntp-servers="${timeservers[*]}"
+
+  make
+}
+
+package_systemd() {
+  pkgdesc="system and service manager"
+  license=('GPL2' 'LGPL2.1' 'MIT')
+  depends=('acl' 'bash' 'dbus' 'glib2' 'kbd' 'kmod' 'hwids' 'libcap' 'libgcrypt'
+           'libsystemd' 'libidn' 'lz4' 'pam' 'libseccomp' 'util-linux' 'xz')
+  provides=('nss-myhostname' "systemd-tools=$pkgver" "udev=$pkgver")
+  replaces=('nss-myhostname' 'systemd-tools' 'udev')
+  conflicts=('nss-myhostname' 'systemd-tools' 'udev')
+  optdepends=('python: systemd library bindings'
+              'cryptsetup: required for encrypted block devices'
+              'libmicrohttpd: remote journald capabilities'
+              'quota-tools: kernel-level quota management'
+              'systemd-sysvcompat: symlink package to provide sysvinit binaries'
+              'polkit: allow administration as unprivileged user')
+  backup=(etc/dbus-1/system.d/org.freedesktop.systemd1.conf
+          etc/dbus-1/system.d/org.freedesktop.hostname1.conf
+          etc/dbus-1/system.d/org.freedesktop.login1.conf
+          etc/dbus-1/system.d/org.freedesktop.locale1.conf
+          etc/dbus-1/system.d/org.freedesktop.machine1.conf
+          etc/dbus-1/system.d/org.freedesktop.timedate1.conf
+          etc/pam.d/systemd-user
+          etc/systemd/bootchart.conf
+          etc/systemd/coredump.conf
+          etc/systemd/journald.conf
+          etc/systemd/logind.conf
+          etc/systemd/system.conf
+          etc/systemd/timesyncd.conf
+          etc/systemd/resolved.conf
+          etc/systemd/user.conf
+          etc/udev/udev.conf)
+  install="systemd.install"
+
+  make -C "$pkgname-$pkgver" DESTDIR="$pkgdir" install
+
+  # don't write units to /etc by default. some of these will be re-enabled on
+  # post_install.
+  rm "$pkgdir/etc/systemd/system/getty.target.wants/getty at tty1.service" \
+      "$pkgdir/etc/systemd/system/multi-user.target.wants/systemd-networkd.service" \
+      "$pkgdir/etc/systemd/system/multi-user.target.wants/systemd-resolved.service" \
+      "$pkgdir/etc/systemd/system/sysinit.target.wants/systemd-timesyncd.service" \
+      "$pkgdir/etc/systemd/system/network-online.target.wants/systemd-networkd-wait-online.service"
+  rmdir "$pkgdir/etc/systemd/system/getty.target.wants" \
+      "$pkgdir/etc/systemd/system/network-online.target.wants"
+
+  # get rid of RPM macros
+  rm -r "$pkgdir/usr/lib/rpm"
+
+  # add back tmpfiles.d/legacy.conf
+  install -m644 "systemd-$pkgver/tmpfiles.d/legacy.conf" "$pkgdir/usr/lib/tmpfiles.d"
+
+  # Replace dialout/tape/cdrom group in rules with uucp/storage/optical group
+  sed -i 's#GROUP="dialout"#GROUP="uucp"#g;
+          s#GROUP="tape"#GROUP="storage"#g;
+          s#GROUP="cdrom"#GROUP="optical"#g' "$pkgdir"/usr/lib/udev/rules.d/*.rules
+  sed -i 's/dialout/uucp/g;
+          s/tape/storage/g;
+          s/cdrom/optical/g' "$pkgdir"/usr/lib/sysusers.d/basic.conf
+
+  # add mkinitcpio hooks
+  install -Dm644 "$srcdir/initcpio-install-systemd" "$pkgdir/usr/lib/initcpio/install/systemd"
+  install -Dm644 "$srcdir/initcpio-install-udev" "$pkgdir/usr/lib/initcpio/install/udev"
+  install -Dm644 "$srcdir/initcpio-hook-udev" "$pkgdir/usr/lib/initcpio/hooks/udev"
+
+  # ensure proper permissions for /var/log/journal. This is only to placate
+  chown root:systemd-journal "$pkgdir/var/log/journal"
+  chmod 2755 "$pkgdir/var/log/journal"{,/remote}
+
+  # fix pam file
+  sed 's|system-auth|system-login|g' -i "$pkgdir/etc/pam.d/systemd-user"
+
+  # ship default policy to leave services disabled
+  echo 'disable *' >"$pkgdir"/usr/lib/systemd/system-preset/99-default.preset
+
+  ### split out manpages for sysvcompat
+  rm -rf "$srcdir/_sysvcompat"
+  install -dm755 "$srcdir"/_sysvcompat/usr/share/man/man8/
+  mv "$pkgdir"/usr/share/man/man8/{telinit,halt,reboot,poweroff,runlevel,shutdown}.8 \
+     "$srcdir"/_sysvcompat/usr/share/man/man8
+
+  ### split off runtime libraries
+  rm -rf "$srcdir/_libsystemd"
+  install -dm755 "$srcdir"/_libsystemd/usr/lib
+  cd "$srcdir"/_libsystemd
+  mv "$pkgdir"/usr/lib/lib{systemd,{g,}udev}*.so* usr/lib
+
+  # include MIT license, since it's technically custom
+  install -Dm644 "$srcdir/$pkgname-$pkgver/LICENSE.MIT" \
+      "$pkgdir/usr/share/licenses/systemd/LICENSE.MIT"
+}
+
+package_libsystemd() {
+  pkgdesc="systemd client libraries"
+  depends=('glib2' 'glibc' 'libgcrypt' 'lz4' 'xz')
+  license=('GPL2')
+  provides=('libgudev-1.0.so' 'libsystemd.so' 'libsystemd-daemon.so' 'libsystemd-id128.so'
+            'libsystemd-journal.so' 'libsystemd-login.so' 'libudev.so')
+
+  mv "$srcdir/_libsystemd"/* "$pkgdir"
+}
+
+package_systemd-sysvcompat() {
+  pkgdesc="sysvinit compat for systemd"
+  license=('GPL2')
+  groups=('base')
+  conflicts=('sysvinit')
+  depends=('systemd')
+
+  mv "$srcdir/_sysvcompat"/* "$pkgdir"
+
+  install -dm755 "$pkgdir/usr/bin"
+  for tool in runlevel reboot shutdown poweroff halt telinit; do
+    ln -s 'systemctl' "$pkgdir/usr/bin/$tool"
+  done
+
+  ln -s '../lib/systemd/systemd' "$pkgdir/usr/bin/init"
+}
+
+# vim: ft=sh syn=sh et

Copied: systemd/repos/testing-x86_64/initcpio-hook-udev (from rev 227418, systemd/trunk/initcpio-hook-udev)
===================================================================
--- testing-x86_64/initcpio-hook-udev	                        (rev 0)
+++ testing-x86_64/initcpio-hook-udev	2014-12-11 02:31:04 UTC (rev 227419)
@@ -0,0 +1,22 @@
+#!/usr/bin/ash
+
+run_earlyhook() {
+    kmod static-nodes --format=tmpfiles --output=/run/tmpfiles.d/kmod.conf
+    systemd-tmpfiles --prefix=/dev --create --boot
+    /usr/lib/systemd/systemd-udevd --daemon --resolve-names=never
+    udevd_running=1
+}
+
+run_hook() {
+    msg ":: Triggering uevents..."
+    udevadm trigger --action=add --type=subsystems
+    udevadm trigger --action=add --type=devices
+    udevadm settle
+}
+
+run_cleanuphook() {
+    udevadm control --exit
+    udevadm info --cleanup-db
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-x86_64/initcpio-install-systemd (from rev 227418, systemd/trunk/initcpio-install-systemd)
===================================================================
--- testing-x86_64/initcpio-install-systemd	                        (rev 0)
+++ testing-x86_64/initcpio-install-systemd	2014-12-11 02:31:04 UTC (rev 227419)
@@ -0,0 +1,169 @@
+#!/bin/bash
+
+strip_quotes() {
+  local len=${#1} quotes=$'[\'"]' str=${!1}
+
+  if [[ ${str:0:1} = ${str: -1} && ${str:0:1} = $quotes ]]; then
+    printf -v "$1" %s "${str:1:-1}"
+  fi
+}
+
+add_udev_rule() {
+    # Add an udev rules file to the initcpio image. Dependencies on binaries
+    # will be discovered and added.
+    #   $1: path to rules file (or name of rules file)
+
+    local rules= rule= key= value= binary=
+
+    rules=$(PATH=/usr/lib/udev/rules.d:/lib/udev/rules.d type -P "$1")
+    if [[ -z $rules ]]; then
+        # complain about not found rules
+        return 1
+    fi
+
+    add_file "$rules"
+
+    while IFS=, read -ra rule; do
+        # skip empty lines, comments
+        [[ -z $rule || $rule = @(+([[:space:]])|#*) ]] && continue
+
+        for pair in "${rule[@]}"; do
+            IFS=' =' read -r key value <<< "$pair"
+            case $key in
+                RUN@({program}|+)|IMPORT{program}|ENV{REMOVE_CMD})
+                    strip_quotes 'value'
+                    # just take the first word as the binary name
+                    binary=${value%% *}
+                    if [[ ${binary:0:1} != '/' ]]; then
+                        binary=$(PATH=/usr/lib/udev:/lib/udev type -P "$binary")
+                    fi
+                    add_binary "$binary"
+                    ;;
+            esac
+        done
+    done <"$rules"
+}
+
+add_systemd_unit() {
+    # Add a systemd unit file to the initcpio image. Hard dependencies on binaries
+    # and other unit files will be discovered and added.
+    #   $1: path to rules file (or name of rules file)
+
+    local unit= rule= entry= key= value= binary= dep=
+
+    unit=$(PATH=/usr/lib/systemd/system:/lib/systemd/system type -P "$1")
+    if [[ -z $unit ]]; then
+        # complain about not found unit file
+        return 1
+    fi
+
+    add_file "$unit"
+
+    while IFS='=' read -r key values; do
+        read -ra values <<< "$values"
+
+        case $key in
+            Requires|OnFailure)
+                # only add hard dependencies (not Wants)
+                map add_systemd_unit "${values[@]}"
+                ;;
+            Exec*)
+                # don't add binaries unless they are required
+                if [[ ${values[0]:0:1} != '-' ]]; then
+                    add_binary "${values[0]}"
+                fi
+                ;;
+        esac
+
+    done <"$unit"
+
+    # preserve reverse soft dependency
+    for dep in {/usr,}/lib/systemd/system/*.wants/${unit##*/}; do
+        if [[ -L $dep ]]; then
+            add_symlink "$dep"
+        fi
+    done
+
+    # add hard dependencies
+    if [[ -d $unit.requires ]]; then
+        for dep in "$unit".requires/*; do
+            add_systemd_unit ${dep##*/}
+        done
+    fi
+}
+
+build() {
+    local rules unit
+
+    # from base
+    add_binary /bin/mount
+    add_binary /usr/bin/kmod /usr/bin/modprobe
+    add_binary /usr/lib/systemd/systemd /init
+
+    map add_binary \
+        /usr/lib/systemd/systemd-hibernate-resume \
+        /usr/lib/systemd/system-generators/systemd-hibernate-resume-generator \
+        /usr/bin/systemd-tmpfiles
+
+    # generators
+    map add_file \
+        /usr/lib/systemd/system-generators/systemd-fstab-generator \
+        /usr/lib/systemd/system-generators/systemd-gpt-auto-generator
+
+    # udev rules and systemd units
+    map add_udev_rule "$rules" \
+            50-udev-default.rules \
+            60-persistent-storage.rules \
+            64-btrfs.rules \
+            80-drivers.rules \
+            99-systemd.rules
+
+    map add_systemd_unit \
+            initrd-cleanup.service \
+            initrd-fs.target \
+            initrd-parse-etc.service \
+            initrd-root-fs.target \
+            initrd-switch-root.service \
+            initrd-switch-root.target \
+            initrd-udevadm-cleanup-db.service \
+            initrd.target \
+            kmod-static-nodes.service \
+            local-fs.target \
+            local-fs-pre.target \
+            paths.target \
+            slices.target \
+            sockets.target \
+            swap.target \
+            systemd-fsck at .service \
+            systemd-hibernate-resume at .service \
+            systemd-journald.service \
+            systemd-journald-audit.socket \
+            systemd-journald-dev-log.socket \
+            systemd-tmpfiles-setup-dev.service \
+            systemd-udev-trigger.service \
+            systemd-udevd-control.socket \
+            systemd-udevd-kernel.socket \
+            systemd-udevd.service \
+            timers.target
+
+    add_symlink "/usr/lib/systemd/system/default.target" "initrd.target"
+    add_symlink "/usr/lib/systemd/system/ctrl-alt-del.target" "reboot.target"
+
+    # udev wants /etc/group since it doesn't launch with --resolve-names=never
+    add_file "/etc/nsswitch.conf"
+    add_binary "$(readlink -f /usr/lib/libnss_files.so)"
+    add_file "/etc/passwd"
+    add_file "/etc/group"
+}
+
+help() {
+    cat <<HELPEOF
+This will install a basic systemd setup in your initramfs, and is meant to
+replace the 'base', 'usr', 'udev' and 'timestamp' hooks. Other hooks with runtime
+components will need to be ported, and will not work as intended. You also may
+wish to still include the 'base' hook (before this hook) to ensure that a
+rescue shell exists on your initramfs.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-x86_64/initcpio-install-udev (from rev 227418, systemd/trunk/initcpio-install-udev)
===================================================================
--- testing-x86_64/initcpio-install-udev	                        (rev 0)
+++ testing-x86_64/initcpio-install-udev	2014-12-11 02:31:04 UTC (rev 227419)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+build() {
+    local rules tool
+
+    add_file "/etc/udev/udev.conf"
+    add_binary /usr/lib/systemd/systemd-udevd
+    add_binary /usr/bin/udevadm
+    add_binary /usr/bin/systemd-tmpfiles
+
+    for rules in 50-udev-default.rules 60-persistent-storage.rules 64-btrfs.rules 80-drivers.rules; do
+        add_file "/usr/lib/udev/rules.d/$rules"
+    done
+    for tool in ata_id scsi_id; do
+        add_file "/usr/lib/udev/$tool"
+    done
+
+    add_runscript
+}
+
+help() {
+    cat <<HELPEOF
+This hook will use udev to create your root device node and detect the needed
+modules for your root device. It is also required for firmware loading in
+initramfs. It is recommended to use this hook.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Copied: systemd/repos/testing-x86_64/systemd.install (from rev 227418, systemd/trunk/systemd.install)
===================================================================
--- testing-x86_64/systemd.install	                        (rev 0)
+++ testing-x86_64/systemd.install	2014-12-11 02:31:04 UTC (rev 227419)
@@ -0,0 +1,191 @@
+#!/bin/bash
+
+sd_booted() {
+  [[ -d run/systemd/system && ! -L run/systemd/system ]]
+}
+
+add_privs() {
+  if ! setcap "$2" "$1" 2>/dev/null; then
+    echo "==> Warning: setcap failed, falling back to setuid root on /$1"
+    chmod u+s "$1"
+  fi
+}
+
+add_journal_acls() {
+  # ignore errors, since the filesystem might not support ACLs
+  setfacl -Rnm g:wheel:rx,d:g:wheel:rx,g:adm:rx,d:g:adm:rx var/log/journal/ 2>/dev/null
+  :
+}
+
+maybe_reexec() {
+  # don't reexec on 209-1 upgrade due to large infrastructural changes.
+  if [[ $(vercmp 209-1 "$2") -eq 1 ]]; then
+    echo ':: systemd has not been reexecuted. It is recommended that you'
+    echo '   reboot at your earliest convenience.'
+    return
+  fi
+
+  if sd_booted; then
+    systemctl --system daemon-reexec
+  fi
+}
+
+_dir_empty() {
+  set -- "$1"/*
+  [[ ! -e $1  && ! -L $1 ]]
+}
+
+post_common() {
+  systemd-sysusers
+  udevadm hwdb --update
+  journalctl --update-catalog
+}
+
+_204_1_changes() {
+  printf '==> The /bin/systemd symlink has been removed. Any references in your\n'
+  printf '    bootloader (or elsewhere) must be updated to /usr/lib/systemd/systemd.\n'
+}
+
+_205_1_changes() {
+  printf '==> systemd 205 restructures the cgroup hierarchy and changes internal\n'
+  printf '    protocols. You should reboot at your earliest convenience.\n'
+}
+
+_206_1_changes() {
+  printf '==> The "timestamp" hook for mkinitcpio no longer exists. If you used\n'
+  printf '    this hook, you must remove it from /etc/mkinitcpio.conf. A "systemd"\n'
+  printf '    hook has been added which provides this functionality, and more.\n'
+}
+
+_208_1_changes() {
+  if [[ -e var/lib/backlight && ! -e var/lib/systemd/backlight ]]; then
+    mv -T var/lib/backlight var/lib/systemd/backlight
+  fi
+
+  if [[ -e var/lib/random-seed && ! -e var/lib/systemd/random-seed ]]; then
+    mv -T var/lib/random-seed var/lib/systemd/random-seed
+  fi
+}
+
+_208_8_changes() {
+  add_journal_acls
+}
+
+_209_1_changes() {
+  # attempt to preserve existing behavior
+
+  local old_rule=etc/udev/rules.d/80-net-name-slot.rules
+  local new_rule=etc/udev/rules.d/80-net-setup-link.rules
+
+  echo ":: Network device naming is now controlled by udev's net_setup_link"
+  echo "   builtin. Refer to the systemd.link manpage for a full description."
+
+  # not clear what action we can take here, so don't do anything
+  [[ -e $new_rule ]] && return 0
+
+  # rename the old rule to the new one so that we preserve the user's
+  # existing option.
+  if [[ -e $old_rule ]]; then
+    printf ':: Renaming %s to %s in order\n' "${old_rule##*/}" "${new_rule##*/}"
+    printf '   to preserve existing network naming behavior.\n'
+    mv -v "$old_rule" "$new_rule"
+  else
+    echo ':: No changes have been made to your network naming configuration.'
+    echo '   Interfaces should continue to maintain the same names.'
+  fi
+}
+
+_210_1_changes() {
+  if sd_booted; then
+    # If /etc/systemd/network is non-empty, then this is a 209 user who used
+    # networkd. Re-enable it for them.
+    if ! _dir_empty etc/systemd/network; then
+      systemctl enable systemd-networkd
+    fi
+  fi
+}
+
+_213_4_changes() {
+  if sd_booted; then
+    # if /etc/resolv.conf is a symlink, just assume that it was being managed
+    # by systemd-networkd, and re-enable systemd-resolved.
+    if [[ -L etc/resolv.conf ]]; then
+      systemctl enable systemd-resolved
+    fi
+  fi
+}
+
+_214_2_changes() {
+  # /run/systemd/network/resolv.conf -> /run/systemd/resolve/resolv.conf
+  if [[ etc/resolv.conf -ef run/systemd/network/resolv.conf ]]; then
+    ln -sf /run/systemd/resolve/resolv.conf /etc/resolv.conf
+
+    if sd_booted; then
+      if [[ ! -d run/systemd/resolve ]]; then
+        mkdir run/systemd/resolve
+      fi
+
+      if [[ -f run/systemd/network/resolv.conf ]]; then
+        mv run/systemd/{network,resolve}/resolv.conf
+      fi
+    fi
+  fi
+
+  echo ':: coredumps are no longer sent to the journal by default. To re-enable:'
+  echo '   echo >/etc/sysctl.d/50-coredump.conf \'
+  echo '       "kernel.core_pattern=|/usr/lib/systemd/systemd-coredump %p %u %g %s %t %e"'
+}
+
+_215_2_changes() {
+  # create at least the symlink from /etc/os-release to /usr/lib/os-release
+  systemd-tmpfiles --create etc.conf
+}
+
+_216_2_changes() {
+  echo ':: Coredumps are handled by systemd by default. Collection behavior can be'
+  echo '   tuned in /etc/systemd/coredump.conf.'
+}
+
+post_install() {
+  # because systemd can't sanely manage this meanial task...
+  uuidgen | {
+    read
+    echo "${REPLY//-}">etc/machine-id
+  }
+
+  post_common "$@"
+
+  add_journal_acls
+
+  # enable getty at tty1 by default, but don't track the file
+  systemctl enable getty at tty1.service
+
+  echo ":: Append 'init=/usr/lib/systemd/systemd' to your kernel command line in your"
+  echo "   bootloader to replace sysvinit with systemd, or install systemd-sysvcompat"
+}
+
+post_upgrade() {
+  post_common "$@"
+
+  maybe_reexec "$@"
+
+  local v upgrades=(204-1
+                    205-1
+                    206-1
+                    208-1
+                    208-8
+                    209-1
+                    210-1
+                    213-4
+                    214-2
+                    215-2
+                    216-2)
+
+  for v in "${upgrades[@]}"; do
+    if [[ $(vercmp "$v" "$2") -eq 1 ]]; then
+      "_${v//-/_}_changes"
+    fi
+  done
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list